ubuntu9.04编译安装python新版本导致出错的解决办法

在这篇文章中我提到了ubuntu中自己编译安装python新版本的问题,如果您是使用 apt-get install pythonx.x 来安装的,那以下您可以无视了

如果您是在python.org下载的源码包,并手动编译安装的,⊙﹏⊙汗,麻烦来了……好多工具都出现问题了!

ubuntu中缺省就安装了python,为什么?因为ubuntu中一些软件使用python开发的,比如 应用程序中的【添加/删除】,以及系统管理中的 【软件源】,还有其它的一些,手动编译安装会覆盖系统的默认python版本,手动编译了python,ubuntu中用python开发了很多工具,如果要更换python版本必须把这些工具挨个的全部重新编译一次(+_+)

这可咋办,不会让我重装ubuntu吧,虽然我用wubi方式安装,但是系统已经配置的很舒服了,再重装又要折腾,无奈只好从python下手了。

一番无果的折腾后,我停下来仔细想了想,我的问题是由于更新系统默认的python版本才出问题的,那我何不再把默认版本给换会去呢,由于我更新之前系统中的python版本好像是python2.5.4,我是自己手动编译安装了python2.6.1才出问题的,ok,问题找到了,就是不知道我的方法行不行.

从python.org 下载 python2.5.4的源码包,解压,编译,安装…..

10多分钟后,问题终于解决了!

看来手动编译包的时候一定要先问下google!尤其是像我这样的小白!